gov.ornl.mercury3.commands

## Class Response

- java.lang.Object
- - gov.ornl.mercury3.commands.Response

- All Implemented Interfaces:
    Serializable

      public class Response
      extends Object
      implements Serializable

  Represents a single response to a query. A few standard fields are available such as query time, status, number of documents found and start. However, most of the interesting data will be in the `documents` field. This field contains List of `Map` objects.
  Author:
    phil
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Response()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Map<String,Field>>` | `getDocuments()`
    `LinkedHashMap<FilterCatField,List>` | `getFacets()`
    `List<Map<String,Map<String,List>>>` | `getFacetsLists()`
    `Integer` | `getFound()`
    `ArrayList<String>` | `getJ_Docs()`
    `ArrayList<List>` | `getJ_facets()`
    `Float` | `getMaxScore()`
    `ArrayList<HashMap<String,String>>` | `getMlt_list()`
    `int` | `getPageSize()`
    `Integer` | `getQtime()`
    `String` | `getQueryString()`
    `String` | `getRss1()`
    `Integer` | `getStart()`
    `Integer` | `getStatus()`
    `String` | `getSuggestion()`
    `void` | `setFacets(LinkedHashMap<FilterCatField,List> facetsList)`
    `void` | `setFound(Integer found)`
    `void` | `setJ_Docs(ArrayList<String> docs)`
    `void` | `setJ_facets(ArrayList<List> j_facets)`
    `void` | `setMaxScore(Float maxScore)`
    `void` | `setMlt_list(ArrayList<HashMap<String,String>> mlt_list)`
    `void` | `setPageSize(int pageSize)`
    `void` | `setQtime(Integer qtime)`
    `void` | `setQueryString(String queryString)`
    `void` | `setRss1(String rss1)`
    `void` | `setStart(Integer start)`
    `void` | `setStatus(Integer status)`
    `void` | `setSuggestion(String suggestion)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Response

          public Response()

  - ### Method Detail

    - #### getRss1

          public String getRss1()

    - #### setRss1

          public void setRss1(String rss1)

    - #### getFacets

          public LinkedHashMap<FilterCatField,List> getFacets()

    - #### setFacets

          public void setFacets(LinkedHashMap<FilterCatField,List> facetsList)

    - #### getDocuments

          public List<Map<String,Field>> getDocuments()

    - #### getFacetsLists

          public List<Map<String,Map<String,List>>> getFacetsLists()

    - #### getFound

          public Integer getFound()

    - #### getQtime

          public Integer getQtime()

    - #### getStart

          public Integer getStart()

    - #### getStatus

          public Integer getStatus()

    - #### setFound

          public void setFound(Integer found)

    - #### setQtime

          public void setQtime(Integer qtime)

    - #### setStart

          public void setStart(Integer start)

    - #### setStatus

          public void setStatus(Integer status)

    - #### getJ_facets

          public ArrayList<List> getJ_facets()

    - #### setJ_facets

          public void setJ_facets(ArrayList<List> j_facets)

    - #### getJ_Docs

          public ArrayList<String> getJ_Docs()

    - #### setJ_Docs

          public void setJ_Docs(ArrayList<String> docs)

    - #### getQueryString

          public String getQueryString()

    - #### setQueryString

          public void setQueryString(String queryString)

    - #### getPageSize

          public int getPageSize()

    - #### setPageSize

          public void setPageSize(int pageSize)

    - #### getMaxScore

          public Float getMaxScore()

    - #### setMaxScore

          public void setMaxScore(Float maxScore)

    - #### getMlt_list

          public ArrayList<HashMap<String,String>> getMlt_list()

    - #### setMlt_list

          public void setMlt_list(ArrayList<HashMap<String,String>> mlt_list)

    - #### setSuggestion

          public void setSuggestion(String suggestion)

    - #### getSuggestion

          public String getSuggestion()

Copyright © 2016. All rights reserved.